[csw-devel] SF.net SVN: gar:[10760] csw/mgar/pkg/postfix/branches/postfix-2.7

skayser at users.sourceforge.net skayser at users.sourceforge.net
Tue Aug 17 14:17:20 CEST 2010


Revision: 10760
          http://gar.svn.sourceforge.net/gar/?rev=10760&view=rev
Author:   skayser
Date:     2010-08-17 12:17:20 +0000 (Tue, 17 Aug 2010)

Log Message:
-----------
postfix 2.7: comment build peculiarities, add confirmation step to migrate-queuefiles.sh script

Modified Paths:
--------------
    csw/mgar/pkg/postfix/branches/postfix-2.7/Makefile
    csw/mgar/pkg/postfix/branches/postfix-2.7/files/migrate-queuefiles.sh

Modified: csw/mgar/pkg/postfix/branches/postfix-2.7/Makefile
===================================================================
--- csw/mgar/pkg/postfix/branches/postfix-2.7/Makefile	2010-08-17 09:52:27 UTC (rev 10759)
+++ csw/mgar/pkg/postfix/branches/postfix-2.7/Makefile	2010-08-17 12:17:20 UTC (rev 10760)
@@ -1,3 +1,14 @@
+#
+#
+# !!! This package can be built in two flavors, a regular one with full
+# !!! features enabled and one with a core feature set, i.e. reduced
+# !!! dependencies (package name suffix: -simple).
+# !!! To build the simplified set, the whole build needs to run with
+# !!! BUILDTYPE=simple. Further details below. By now this needs to be
+# !!! carried out manually. Ideas to automate the process of building
+# !!! the two packages are welcome.
+#
+#
 # TODO (release-critical prefixed with !, non release-critical with *)
 # ! Build, install and test package (works? spool permissions ok?)
 #   WRT to permissions, run "postfix set-permissions" and compare
@@ -154,7 +165,11 @@
 RUNTIME_DEP_PKGS += CSWpcrert
 
 # Activate support for hash and btree lookup tables
-# http://www.postfix.org/DB_README.html
+# http://www.postfix.org/DB_README.html. !! Takeaway: Use same DB as SASL !!
+# "If you compile Postfix with a different Berkeley DB implementation,
+# then every Postfix program will dump core because either the system library,
+# the SASL library, or Postfix itself ends up using the wrong version."
+#
 FEATURES += -DHAS_DB
 INCLUDES += -I/opt/csw/bdb42/include 
 AUXLIBS  += -L/opt/csw/bdb42/lib -R/opt/csw/bdb42/lib -ldb-4.2

Modified: csw/mgar/pkg/postfix/branches/postfix-2.7/files/migrate-queuefiles.sh
===================================================================
--- csw/mgar/pkg/postfix/branches/postfix-2.7/files/migrate-queuefiles.sh	2010-08-17 09:52:27 UTC (rev 10759)
+++ csw/mgar/pkg/postfix/branches/postfix-2.7/files/migrate-queuefiles.sh	2010-08-17 12:17:20 UTC (rev 10760)
@@ -1,16 +1,25 @@
 #!/bin/bash
 #
-# move-spool.sh:
+# migrate-queuefiles.sh:
 #  helper script to move possible queue files from the CSWpostfix 2.4.x
 #  spool location to the CSWpostfix >= 2.6.x spool location.
 #
 # $Id$
 
-
 SPOOL_OLD=/opt/csw/var/spool/postfix
 SPOOL_NEW=/var/opt/csw/spool/postfix
 QDIRS="incoming active deferred corrupt hold bounce defer trace"
 
+if [ "$1" != "-y" ]; then
+  echo "This helper script will move leftover postfix email queue files from "
+  echo 
+  echo "  $SPOOL_OLD   to   $SPOOL_NEW"
+  echo
+  echo "Please make sure to understand what it does, backup your queue files"
+  echo "in advance, and re-run this script with -y to start the process."
+  exit 1
+fi
+
 [ -x /usr/bin/zonename ] && ZONEOPT="-z `/usr/bin/zonename`"
 if pgrep $ZONEOPT -lf /opt/csw/libexec/postfix/master; then
    echo "Make sure postfix is not running! Exiting."
@@ -19,7 +28,7 @@
 
 for qdir in $QDIRS; do
     [ -d ${SPOOL_OLD}/$qdir ] || continue
-	echo "Moving from ${SPOOL_OLD}/$qdir to ${SPOOL_NEW}/$qdir"
+	echo "Moving files from ${SPOOL_OLD}/$qdir to ${SPOOL_NEW}/$qdir"
 	cd ${SPOOLDIR_NEW}/$qdir && \
 		find ${SPOOLDIR_OLD}/$qdir -type f -exec mv '{}' . +
 done


This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.


More information about the devel mailing list